#!/bin/bash
# ./doit.sh -s40 -t60  -l5 -m80 -PB30-S34-B58-S78-B96-S1:256  

if ls /tmp/*.out &> /dev/null  ; then 
	echo may be a good idea to clean /tmp !?
	echo rm '/tmp/*.out'
	exit
fi

level=0
mode=0
run=0
press=0

while getopts "l:m:p:s:t:P:RZ" opt
do
	case $opt  in
		l) level=$OPTARG;;
		m) mode=$OPTARG;;
		p) pid=-p$OPTARG;;
		P) PROFILE=$OPTARG;;
		s) s=$OPTARG;;
		t) t=$OPTARG;;
		R) run=1;;
		Z) press=1;;
	esac
done

inter=0

if [ ! -n "$s" ] ; then
	s=0
else
	inter=1
fi

if [ ! -n "$t" ] ; then
	t=$mode
else
	inter=1
fi

if [ $inter == 1 ] ; then
	inter=-p$s:$t
else
	inter=""
fi

shift $((OPTIND-1))

if [[ ! "$PROFILE"   =~ ^B[0-9:]{1,7}S[0-9:]{1,7}(/B[0-9:]{1,7}S[0-9:]{1,7}){2}$   ]]; then
	echo bad profile 
	exit
fi
OLDIFS=$IFS
IFS="/"
read -a P <<< "$(printf "%s" "$PROFILE")"
IFS=$OLDIFS
#echo ${#P[@]}
#echo ${P[0]}
#echo ${P[1]}
#echo ${P[2]}

source=~/result/bent-92515.dat
i=0
level=4
PROF=${P[i]}
PREF=
destin=~/result/class-${P[i]}
while [ -f "$destin-$((level+1)).out" ] 
do
	let i++
	let level++
	source=$destin-$((level)).out
	destin=$destin-${P[i]}
	PREF=$PREF-$PROF
	PROF=${P[i]}
done

if [ $i == 3 ] ; then
	echo nothing todo !?
	exit
fi
destin="$destin-$((level+1)).out" 
PROFILE=${PROF/S/ -S}
PROFILE=${PROFILE/B/ -B}


echo source : $source 
echo target : $destin

if  [ $level -eq 0 -o $mode -eq 0  ] ; then
	echo parameters : level=$level mode=$mode
	exit
fi

if [ $level = 4 ]; then
	PREF=pid
fi
if [ $run = 0 ] ;then
	echo inter:$inter level:$level pref=$PREF prof=$PROF
	echo sample.exe  -j$j -l$level -m$mode -p$$ $PROFILE $source 
	echo use option -R to run !
	exit
fi

for(( j = s; j < t; j++ ))  ; do
	./extend.exe  -j$j -l$level -m$mode -p$$ $PROFILE $source   -w  &
done

wait


let level++

glue=$( ./glue.exe -l$((level)) -p$PREF $PROFILE   -dtempo  -X )

./glue.exe -l$level -p$PREF /tmp/raw-$$-*-$level.out   $PROFILE     -w -dtempo
./check.exe -C $glue

rm -f /tmp/raw-$$-*-$((level)).out

# zippage 

let nbproc=t-s

if [ $press == 1 ]; then
	./split.exe -l$level -m$nbproc  -p$$  $glue
	num=0
	for file in /tmp/split-$$-*-$level.out; do
		./inv.exe -l$level -p$$-$num $file  -w &
	let num++
	done
	wait
	last=$( ./class.exe  $inter -p$PREF -l$level $PROFILE   -d tempo   /tmp/inv-$$-*-$level.out  -X  )
	./class.exe  $inter -p$PREF -l$level $PROFILE   -d tempo   /tmp/inv-$$-*-$level.out  -w
else
	last=$glue
fi

echo $last  ' -> ' $destin
mv   $last $destin

rm -f  /tmp/split-$$-*-$level.out
rm -f  /tmp/inv-$$-*-$level.out
