#!/bin/bash
# ./extend.sh -s40 -t60  -l5 -m80 -p-B30-S34 filename

if ls /tmp/*.out &> /dev/null  ; then 
	echo may be a good idea to clean /tmp !?
	echo rm '/tmp/*.out'
	exit
fi

level=0
mode=0
while getopts "l:m:p:s:t:" opt
do
	case $opt  in
		l) level=$OPTARG;;
		m) mode=$OPTARG;;
		p) profile=$OPTARG;;
		s) s=$OPTARG;;
		t) t=$OPTARG;;
	esac
done
if [ ! -n "$s" ] ; then
	s=0
fi
if [ ! -n "$t" ] ; then
	t=$mode
fi


shift $((OPTIND-1))

if [[ ! "$profile"   =~ ^(-[BS][0-9:]{1,6})*$   ]]; then
	echo profile ?
	echo $profile
fi
PROFILE=${profile//-/ -}


if  [ $level -eq 0 -o $mode -eq 0  ] ; then
	echo parameters ?
	echo level : $level
        echo mode  : $mode
	exit
fi


for(( j = s; j < t; j++ ))
do
	./extend.exe  -j$j -l$level -m$mode -p$$ $PROFILE $* -w  &
done

wait

target=$( ./glue.exe -l$((level+1)) /tmp/raw-$$-*-$((level+1)).out -p$s:$t:$mode$profile -dtempo  -X )

./glue.exe -l$((level+1)) /tmp/raw-$$-*-$((level+1)).out -p$s:$t:$mode$profile  -w -dtempo
./check.exe -C $target


rm -f /tmp/raw-$$-*-$((level+1)).out
