#!/bin/bash
# ./extend.sh -s40 -t60  -l5 -m80 [ -pB30S34-B58S78-B100 ]  filename


level=0
mode=0
run=0
skip=0

while getopts "l:m:p:s:t:RS" opt
do
	case $opt  in
		l) level=$OPTARG;;
		m) mode=$OPTARG;;
		p) profile=$OPTARG;;
		s) s=$OPTARG;;
		t) t=$OPTARG;;
		R) run=1;;
		S) skip=1;;
	esac
done

if ls /tmp/*.out &> /dev/null  ; then 
	echo may be a good idea to clean /tmp !?
	echo using rm '/tmp/*.out'
	if [ $skip = 0 ] ; then
		echo use -S to skip !
		exit
	fi
fi

if [ ! -n "$s" ] ; then
	s=0
fi
if [ ! -n "$t" ] ; then
	t=$mode
fi


shift $((OPTIND-1))

if [ ! -n "$profile"    ]; then
	profile=$( echo $* | grep -Eo '\-.*\-'  )
	echo profile:$profile
fi


pid=-p$$

if  [ $mode -eq 0  ] ; then
	echo parameters ?
        echo mode  : $mode
	exit
fi



target=../result/apn-$maps${profile}8.out

if [ $run == 0 ]; then
	echo target : $target
	echo use -R  to run
	exit
fi
for(( j = s; j < t; j++ ))
do
	./fast.exe  -j$j -l$level -m$mode $pid  $* -w  &
done

wait


target=$( ./glue.exe -l8 /tmp/fast-$$*-8.out   -d tempo  -p$$    -X )

./glue.exe -l8 /tmp/fast-$$*-8.out   -w -d tempo  -p$$    


rm  /tmp/fast-$$*-8.out

./check.exe -C $target

# zippage

./split.exe -l$level -m$mode -p$$  $target

num=0

for file in /tmp/split-$$-*-$level.out; do
	./inv.exe -l$level -p$$-$num $file  -w &
	let num++
done

wait

file=$( ./class.exe  -l$level -p$pid -d tempo  -X  /tmp/inv-$$-*-$level.out )

./class.exe  -l$level -p$pid -d tempo  -w  /tmp/inv-$$-*-$level.out 


rm -f  /tmp/split-$$-*-$level.out
rm -f  /tmp/inv-$$-*-$level.out

maps=$( ./check.exe $file  | tr -cd '[0-9]' )

target=../result/apn-$maps${profile}8.out

echo apn : $maps  in $file '->' $target

mv $file $target



