#!/bin/bash
#OAR -l core=20,walltime=24:00
#OAR --stdout loop.%jobid%.out
#OAR --stderr loop.%jobid%.err

source host.plan

echo   NBTASK    : $NBTASK
echo   LIMITE  : $LIMIT
echo   PROC    : $PROC

while getopts "d:t:x:" opt
do
	case $opt  in
		d) dir=$OPTARG; DIR=1;;
		t) tid=$OPTARG; TID=1;;
		x) task=$OPTARG;TASK=1;; 
	esac
done

if  [ "$DIR" != 1 ] ; then
	echo working directory ?
	echo usage : -d dir -t tid -x task
	exit
fi
if  [ "$TASK" != 1 ] ; then
	echo which task ?
	echo usage : -d dir -t tid -x task
	exit
fi
if  [ "$TID" != 1 ] ; then
	echo task ident lt $LIMIT ?
	echo usage : -d dir -t tid -x task
	exit
fi

if  [ $tid -gt $LIMIT  ] ; then
	echo task ident too large, limit=$LIMIT !
	echo usage : -d dir -t tid -x task
	exit
fi

case "$task" in
	3034) echo initialisation -B30 -S34 at level 5;
	      prog=run-30-34.sh;;
	*)    echo task $task : illegal !; exit;;
esac

echo using $nbp processors


if [ ! -d $dir ]; then
	echo $dir : main directory not found
	exit
fi


if [  -d $dir/$task/$tid ]; then
        echo $tid in use on $direct/$tid
	echo run : rm -rf $dir/$tid
        exit
fi

mkdir -p $dir/$task
log=$dir/$task/log-$tid.log
echo logfile : $log
./$prog $dir $task $tid $PROC $NBTASK > $log  &

