if [ $# -lt 3  ]; then
	echo diectory  ?
	echo numero ?
	echo proc ?
	exit
fi

if [ -f stop ]; then
	exit
fi
direct=$1
num=$2
nbp=$3


PROF5='-B30 -S34'
PROF6='-B58 -S90'
PROF7='-B98:104'


data=../data/bent-92515.dat

if [ ! -f  $data ] ; then
	echo run.sh wait for file
	echo $data
	echo 'wget https://langevin.univ-tln.fr/project/quadapn/data/bent-92515.dat'
	exit
fi	

cls=../data/base-cls-2-2-8.dat

if [ ! -f  $cls ] ; then
	echo run.sh wait for file
	echo run ./initquad.exe
	exit
fi	

let wd=num/1000
dir=$direct/$wd/$num

echo $dir

if [ -d $dir ]; then
	echo ===============
	echo delete $dir ???
	echo ===============
	exit
fi


mkdir -p $dir

mod=1

pid=$num


start=$( date +%s )
#==================================================================
# LEVEL   FOUR
#==================================================================


level=4


echo -n LEVEL=$level

target=$( ./sample.exe -l4 -j$job -m$mod -w -d $dir  -X $data -p$pid )
if [ ! -f $target ] ; then
	./sample.exe -l4 -j$job -m$mod -w -d $dir  $data -p$pid
fi

last=$target

#==================================================================
# LEVEL   FIVE
#==================================================================
let level++
echo LEVEL=$level


base=$( ./extend.exe  ${PROF5}   $last  -w -d $dir -X -p$pid )

./extend.exe   ${PROF5}    $last  -w -d $dir -p$pid 

target=$(  ./sieve.exe  -l5  -d $dir -p$pid -X  -J2 )

for (( job = 0; job < nbp; job++ )); do
          ./sieve.exe  -l5 $base  -w  -p$pid -J2 -j$job -m$nbp  &
done

        wait

./sieve.exe  -l5 /tmp/sieve-$pid-*-5.out -d $dir  -w -p$pid -J2  -v

rm  -f       /tmp/sieve-$pid-*-5.out

last=$target

#==================================================================
# LEVEL   SIX
#==================================================================


let level++
echo -n LEVEL=$level


for (( job = 0; job < nbp; job++ )); do
	./extend.exe  -j$job -m$nbp  -p$pid  -w $last ${PROF6}   &
done

wait

./glue.exe  /tmp/raw-$pid-*-6.out -d $dir  -w -p$pid
rm -f       /tmp/raw-$pid-*-6.out

base=$( ./glue.exe -l6 -d $dir  -X -p$pid )


for (( job = 0; job < nbp; job++ )); do
          ./sieve.exe  -l6 $base -w  -p$pid -J2 -j$job -m$nbp  &
done

wait

rm -f $base

sieve=$( ./sieve.exe -l6 -d $dir   -p tmp   -J2  -X )

./sieve.exe  -l6 /tmp/sieve-$pid-*-6.out -d $dir  -w -p tmp  -J2
rm -f       /tmp/sieve-$pid-*-6.out


last=$( ./sieve.exe  -l6  $sieve  -w -d $dir  -p$pid  -J2 -X )

./sieve.exe  -l6  $sieve  -w -d $dir  -p$pid  -J2 -v 


./check.exe $last


#==================================================================
# LEVEL   SEVEN
#==================================================================

let level++
echo LEVEL=$level

target=$( ./glue.exe -l7  -d $dir  -p$pid    -X  ) 

for (( job = 0; job < nbp; job++ )); do
		./extend.exe  -j$job -m$nbp  -p$pid  -w $last ${PROF7}   &
	done

	wait

./glue.exe -l $level /tmp/raw-$pid-*-7.out -d $dir  -p$pid   -w 

rm -f /tmp/raw-$pid-*-7.out

last=$target


#==================================================================
# LEVEL   EIGHT
#==================================================================

let level++
echo -n LEVEL=$level 

target=last-8.txt

for (( job = 0; job < nbp; job++ )); do
	./last.exe  -l7 -j$job -m$nbp   -p$pid  -w $last   &
	done

	wait

cat /tmp/last-$pid-*-8.txt > $target

rm -f /tmp/last-$pid-*-8.txt


if [ -s $target ] ; then
	file=$( ./apntest.exe  $target  -w -d $dir  -p$pid -X  )
	./apntest.exe  $target   -w -d $dir  -p$pid   
	last=$( ./sieve.exe  -l 8 $file  -w -d $dir  -p$pid -J2 -X )
	./sieve.exe  -l 8 $file  -w -d $dir  -p$pid -J2
	./check.exe -l8  $last 
fi

ends=$( date +%s )
let run=$ends-$start
echo running time $run sec
