if [ $# -lt 2  ]; then
	echo which job ?
	echo hom many child ?
	exit
fi

if [ -f stop ]; then
	exit
fi
job=$1
nbp=$2

data=../data/bent-92515.dat

if [ ! -f  $data ] ; then
	echo run.sh wait for file
	echo $data
	echo 'wget https://langevin.univ-tln.fr/project/quadapn/data/bent-92515.dat'
	exit
fi	

cls=../data/base-cls-2-2-8.dat

if [ ! -f  $cls ] ; then
	echo run.sh wait for file
	echo run ./initquad.exe
	exit
fi	

let wd=job/1000
dir=task/$wd/$job

echo $dir

if [ -d $dir ]; then
	echo ===============
	echo delete $dir ???
	echo ===============
	exit
fi


mkdir -p $dir

mod=1
pid=$1


target=$( ./sample.exe -l4 -j$job -m$mod -w -d $dir  -X $data -p$pid )
echo target=$target
if [ ! -f $target ] ; then
	./sample.exe -l4 -j$job -m$mod -w -d $dir  $data -p$pid
fi

last=$target

#level 5
target=$( ./extend.exe  -B30  $last  -w -d $dir -X -p$pid )
if [ ! -f $target  ] ; then
	./extend.exe  -B30  $last  -w -d $dir -p$pid 
fi

last=$target
echo last=$last


#level 6
target=$( ./glue.exe -l6 -d $dir  -X -p$pid )


if [ ! -f $target  ] ; then
	for (( job = 0; job < nbp; job++ )); do
		./extend.exe  -j$job -m$nbp  -p$pid  -w $last -B60  &
	done
	wait
	./glue.exe  /tmp/raw-$pid-*-6.out -d $dir  -w -p$pid
        rm -f       /tmp/raw-$pid-*-6.out
fi

last=$target
echo last=$last


#level 7

target=$( ./glue.exe -l7 -d $dir  -X -p$pid  ) 


if [ ! -f $target  ] ; then
	for (( job = 0; job < nbp; job++ )); do
		./extend.exe  -j$job -m$nbp  -p$pid  -w $last   &
	done
	wait
	./glue.exe /tmp/raw-$pid-*-7.out -d $dir  -p$pid -w 
        rm -f /tmp/raw-$pid-*-7.out
fi


last=$target
echo last=$last

#level 8


target=$dir/last-$pid-8.txt


if [ ! -f $target  ] ; then
	for (( job = 0; job < nbp; job++ )); do
	./last.exe  -j$job -m$nbp   -p$pid  -w $last  &
	done
	wait
	cat /tmp/last-$pid-*-8.txt > $target
        rm -f /tmp/last-$pid-*-8.txt
fi

last=$target
echo last=$last

#test 

target=$( ./apntest.exe $last  -w -d $dir  -p$pid  -X )

if [ ! -f $target  ] ; then
	./apntest.exe  $last   -w -d $dir  -p$pid
fi

last=$target
echo last=$last


